FreshPorts - VuXML

This page displays vulnerability information about FreeBSD Ports.

The last vuln.xml file processed by FreshPorts is:

Revision:  371350
Date:      2014-10-22
Time:      08:54:58Z
Committer: matthew

List all Vulnerabilities, by package

List all Vulnerabilities, by date

These are the vulnerabilities relating to the commit you have selected:

VuXML IDDescription
d560b346-08a2-11e0-bcca-0050568452acYUI JavaScript library -- JavaScript injection exploits in Flash components

The YUI team reports:

A security-related defect was introduced in the YUI 2 Flash component infrastructure beginning with the YUI 2.4.0 release. This defect allows JavaScript injection exploits to be created against domains that host affected YUI .swf files.


Discovery 2010-10-25
Entry 2010-12-15
yahoo-ui
lt 2.8.2

CVE-2010-4207
CVE-2010-4208
CVE-2010-4209
http://www.yuiblog.com/blog/2010/10/25/yui-2-8-2-security-update/
http://secunia.com/advisories/41955
http://www.openwall.com/lists/oss-security/2010/11/07/1
http://yuilibrary.com/support/2.8.2/
d560b346-08a2-11e0-bcca-0050568452acYUI JavaScript library -- JavaScript injection exploits in Flash components

The YUI team reports:

A security-related defect was introduced in the YUI 2 Flash component infrastructure beginning with the YUI 2.4.0 release. This defect allows JavaScript injection exploits to be created against domains that host affected YUI .swf files.


Discovery 2010-10-25
Entry 2010-12-15
yahoo-ui
lt 2.8.2

CVE-2010-4207
CVE-2010-4208
CVE-2010-4209
http://www.yuiblog.com/blog/2010/10/25/yui-2-8-2-security-update/
http://secunia.com/advisories/41955
http://www.openwall.com/lists/oss-security/2010/11/07/1
http://yuilibrary.com/support/2.8.2/
aa4f86af-3172-11e2-ad21-20cf30e32f6dYUI JavaScript library -- JavaScript injection exploits in Flash components

The YUI team reports:

Vulnerability in YUI 2.4.0 through YUI 2.9.0

A XSS vulnerability has been discovered in some YUI 2 .swf files from versions 2.4.0 through 2.9.0. This defect allows JavaScript injection exploits to be created against domains that host affected YUI .swf files.

If your site loads YUI 2 from a CDN (yui.yahooapis.com, ajax.googleapis.com, etc.) and not from your own domain, you are not affected. YUI 3 is not affected by this issue.


Discovery 2012-10-30
Entry 2012-11-27
Modified 2012-11-29
yahoo-ui
lt 3.0.0

CVE-2012-5881
CVE-2012-5882
http://yuilibrary.com/support/20121030-vulnerability/
aa4f86af-3172-11e2-ad21-20cf30e32f6dYUI JavaScript library -- JavaScript injection exploits in Flash components

The YUI team reports:

Vulnerability in YUI 2.4.0 through YUI 2.9.0

A XSS vulnerability has been discovered in some YUI 2 .swf files from versions 2.4.0 through 2.9.0. This defect allows JavaScript injection exploits to be created against domains that host affected YUI .swf files.

If your site loads YUI 2 from a CDN (yui.yahooapis.com, ajax.googleapis.com, etc.) and not from your own domain, you are not affected. YUI 3 is not affected by this issue.


Discovery 2012-10-30
Entry 2012-11-27
Modified 2012-11-29
yahoo-ui
lt 3.0.0

CVE-2012-5881
CVE-2012-5882
http://yuilibrary.com/support/20121030-vulnerability/